{ lib, pkgs, ... }:

let
  dgn-lib = import ../lib { };

  dgn-members = (import ../meta lib).organization.groups.root;
in

{
  imports = [ ./dgn-install ];

  boot = {
    blacklistedKernelModules = [ "snd_pcsp" ];
    kernelPackages = pkgs.linuxPackages_latest;
    tmp.cleanOnBoot = true;

    loader = {
      systemd-boot.enable = true;
      efi.canTouchEfiVariables = true;
    };

    supportedFilesystems = [
      "exfat"
      "zfs"
      "bcachefs"
    ];

    swraid.enable = lib.mkForce false;
  };

  console.keyMap = "fr";

  services = {
    openssh.enable = true;
  };

  users.users.root.openssh.authorizedKeys.keyFiles = builtins.map (
    m: dgn-lib.mkRel ../keys "${m}.keys"
  ) dgn-members;
}
