{
  pkgs ? import <nixpkgs> { },
  python3 ? pkgs.python3,
}:
let
  takumi = python3.pkgs.buildPythonPackage rec {
    pname = "takumi";
    version = "1.1.0";
    pyproject = true;

    src = ./.;

    build-system = [ python3.pkgs.hatchling ];

    dependencies = [
      (python3.pkgs.callPackage ./ircrobots.nix { })
      (python3.pkgs.callPackage ./tortoise-orm.nix { })
      python3.pkgs.aiohttp
    ];

    postInstall = ''
      mkdir -p $out/bin
      cp -v takumi.py $out/bin/takumi.py
      chmod +x $out/bin/takumi.py
      wrapProgram $out/bin/takumi.py --prefix PYTHONPATH : "$PYTHONPATH"
    '';
  };
in
pkgs.mkShell { packages = [ takumi ]; }
